const test = await this.actor.setupSkill(game.i18n.localize("NAME.Résistance"), {
  skipTargets: true,
  appendTitle: ` — ${this.effect.name}`,
  fields: {difficulty: "challenging"},
  context: {
    failure: `Butcher perd des dents.`
  }
});

await test.roll();

if (test.failed) {
  const SL = Number(test.result.SL);
  this.script.message(`Butcher perd ${SL} dents.`);
}